# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.authn.AssertionResult

Packages that use AssertionResult
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.authn
This package has authentication APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client
Client APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client.impl
This package has WebAuthn client implementations for WebAuthn.

## Uses of AssertionResult in net.shibboleth.idp.plugin.authn.webauthn.authn

Methods in net.shibboleth.idp.plugin.authn.webauthn.authn that return AssertionResult
Modifier and Type
Method
Description
`AssertionResult`
AssertionResult.Builder.`build()`
`AssertionResult`
AssertionResult.IBuildStage.`build()`
Build the result.

## Uses of AssertionResult in net.shibboleth.idp.plugin.authn.webauthn.client

Methods in net.shibboleth.idp.plugin.authn.webauthn.client that return AssertionResult
Modifier and Type
Method
Description
`AssertionResult`
WebAuthnAuthenticationClient.`validateAuthenticatorAssertionResponse(String username, byte[] userId, com.yubico.webauthn.data.PublicKeyCredentialRequestOptions publicKeyCredentialRequestOptions, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAssertionResponse,com.yubico.webauthn.data.ClientAssertionExtensionOutputs> publicKeyCredentialAssertionResponse)`
Validate the PublicKeyCredential authenticator assertion response from an authentication request.

## Uses of AssertionResult in net.shibboleth.idp.plugin.authn.webauthn.client.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.client.impl that return AssertionResult
Modifier and Type
Method
Description
`AssertionResult`
YubicoWebAuthnAuthenticationClient.`validateAuthenticatorAssertionResponse(String username, byte[] userId, com.yubico.webauthn.data.PublicKeyCredentialRequestOptions publicKeyCredentialRequestOptions, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAssertionResponse,com.yubico.webauthn.data.ClientAssertionExtensionOutputs> authenticatorAssertionResponse)`